Get time from frame number...

A command that becomes available in the Query submenu if you select a sound-analysis object that is a function of time and that is evenly sampled in time (Pitch, Formant, Intensity, Harmonicity).

The Info window will tell you the time associated with the frame number that you specify.

## Setting

Frame number
  the frame number whose time is sought.

## Algorithm

the result is

t1 + (frameNumber - 1) · Δt

where t1 is the time associated with the centre of the first frame, and Δt is the time step.

## Details for hackers

If you select one of the above objects and click Inspect, you can see how the relation between frame numbers and times is stored in the object: t1 is the x1 attribute, and Δt is the dx attribute.